# Changelog

## 2.0
### 2.0.0 (02.07.16)
##### API Changes
* merged [inline-style-prefix-all](https://github.com/rofrischmann/inline-style-prefix-all) as `inline-style-prefixer/static`

##### Improvements
* support for Chromium browser ( [#75](https://github.com/rofrischmann/inline-style-prefixer/pull/86) )
* support for Vivaldi browser ( [#81](https://github.com/rofrischmann/inline-style-prefixer/pull/81) )
* support for zoom and grab `cursor` values ( [#82](https://github.com/rofrischmann/inline-style-prefixer/pull/82) )
* support for prefixing arrays of values ( [@inline-style-prefix-all#16](https://github.com/rofrischmann/inline-style-prefix-all/pull/16) )

##### Bugs
* fixed a bug where `border` within transitions was treated as `order` ( [@inline-style-prefix-all#15](https://github.com/rofrischmann/inline-style-prefix-all/issues/15) )
* fixed a bug where prefixed transition values where incorrectly concatenated ( [@inline-style-prefix-all#17](https://github.com/rofrischmann/inline-style-prefix-all/issues/17) )


## 1.0
### 1.0.4 (16.05.16)
* updated inline-style-prefix-all dependency to correct fallback value order

### 1.0.3 (24.03.16)
* replaced `Set` with ES5 alternative

### 1.0.2 (07.03.16)
* fixed a bug that caused crashes if `display` got either `null` or `undefined` assigned ( [#71](https://github.com/rofrischmann/inline-style-prefixer/pull/71#issue-139056802) )

### 1.0.1 (01.03.16)
* added `undefined` check for `userAgent` to prevent bowser errors

### 1.0.0 (29.02.16)
* pulled a bugfix by Khan Academy that dash-cases fallback properties ( https://github.com/Khan/inline-style-prefixer/commit/f41f3040ac27eeec3b7a1fb7450ddce250cac4e4 )
* using [inline-style-prefix-all](https://github.com/rofrischmann/inline-style-prefix-all) for `prefixAll` now
* `display` does not get removed anymore ( #65 )
* not throwing anymore if unsupported `userAgent` is provided ( #62 )

## 0.6
### 0.6.7 (26.01.16)
* Fixed a bug that caused `transition` with `cubic-bezier` to resolve false
* Replaced `for of` in favor of a basic `for` loop to not require `Symbol` to be available

### 0.6.6 (19.01.16)
* Prevent crashes if a value is `false` or `undefined`

### 0.6.5 (18.01.16)
* Plugins won't crash if a `number` value is passed
* Added default `options`

### 0.6.4 (18.01.16)
* support for prefixed `transition` properties *e.g. `transition: '-webkit-filter 200ms linear'`*
* wider support for **gradients** on all properties
* `prefixAll` now prefixes all plugin values
* uses default `userAgent` if no userAgent, `undefined` or `false` is passed

### 0.6.3 (09.01.16)
* added support for Cordova apps & in-app browser *(especially on iOS 8.4.x)*
* fixed Android Chrome detection *(on Android 4.x)*
* added some [FAQ](docs/FAQ.md)'s

### 0.6.2 (03.01.16)
* fixed dist files to register globally

### 0.6.1 (03.01.16)
* replaced multi-options with an object hash
* renamed `keepDefaults` to `keepUnprefixed`

### 0.6.0 (03.01.16)
* fixed a bug that caused the `display:flex` plugin to prefix incorrectly
* added `forceRun`-option to plugins to support plugins when using `prefixAll`
* added `keepDefault`-option to keep defaults after prefixing
* added MS Edge support
* added whitelist for headless browsers
* several data updates

## 0.5
## 0.5.4 (03.12.15)
* fixed a typo in `animationIterationCount`

## 0.5.3 (28.11.15)
* Added 2D Transform to the searchMap so IE 9 prefixes `transform`, `transformOrigin`, `transformOriginX` and `transformOriginY`
* Removed unsupported browsers from browser detection to avoid false prefixes

## 0.5.2 (24.11.15)
* Added Changelog
* Android detection for older Versions (< 5)
* added `flexWrap` to the properties list
